Error dialog pop up in RC3 when closing the ImageJ window after workflow execution.
Description

| found it when | executed the workflow: KeplerData\Kepler-2.0-Demos\demos\getting-started\03-ImageDisplay.xml on Windows 7 64
bit machine.

The execution runs correctly. But when I closed the ImageJ window, a window firstly show up asking
'Are you sure you want to quit ImageJ'. I clicked 'OK'. Then ImageJ quit with the attached error
dialog: 'Unable to save preferences'.

The console message is as follows.

[null] * svgRenderingMethod = SVG_BATIK_RENDERING *

[null] ERROR (org.kepler.gui.MenuMapper:getActionFor:271) Exception trying
to create an Action for classname: &lt;org.kepler.tagging.TagManagerActioné&gt; :

[null] null (java.lang.ClassNotFoundException: org.kepler.tagging.TagManage
rAction)

[null] 2010 ms. Memory: 208064K Free: 77278K (37%)

There is no such a problem when | tested it in Kepler trunk. But the console message also has the above ERROR message. So the
error message in console is not related to Imaged error dialog.

Related issues:

Is duplicate of Kepler - Bug #5066: Fix for Imaged so that preferences are st... Resolved 06/30/2010
Blocked by Kepler - Bug #5064: Kepler 2.1 Tracking Bug New 06/30/2010
History

#1 - 05/23/2010 08:47 PM - David Welker

| am unable to reproduce this error on my mac. Who can reproduce this?

#2 - 05/24/2010 09:42 AM - Christopher Brooks

| can reproduce this failure on a Windows 2003 machine where Kepler

was installed as admin and I'm logged in as a non-admin user. To reproduce
the failure, | click on the X in the upper right of the "ImageJ" window or

the X in the upper right of the "species-distribution.PNG" window.

The failure does not occur if I'm logged in as administrator (the user
who installed the Kepler-2.0-RC3 release.

The failure does not occur for me under Mac OS X 10.5.

#3 - 05/24/2010 10:16 AM - jianwu jianwu

| re-tested it. In my Windows 7 64 bit machine, the failure does not occur if | start Kepler using right-click menu item 'run as Administrator'. It only
occur if | start Kepler using by double clicking Kepler icon in the desktop.

The Kepler RC83 is installed by Administrator.
#4 - 05/24/2010 05:10 PM - David Welker
I think | have figured out what was causing this. It appears to be an incorrect path in the workflow. | have updated the workflow, but will need to

publish a new installer to confirm.

#5 - 05/24/2010 07:12 PM - David Welker
This should be fixed.
| will need a person with a Windows machine to re-download the RC3 installer (which has changed) and confirm before closing this bug though.

#6 - 05/28/2010 10:54 AM - David Welker
Fixed.

#7 - 06/16/2010 05:19 PM - jianwu jianwu
| still saw it in RC 5. Re-open it.

In my Windows 7 64 bit machine, the failure does not occur if
| start Kepler using right-click menu item 'run as Administrator'. It only
occur if | start Kepler using by double clicking Kepler icon in the desktop.

The Kepler RC5 is installed by Administrator.

#8 - 06/17/2010 11:41 AM - Derik Barseghian

This seems relevant:
http://image|.588099.n2.nabble.com/Error-when-closing-ImageJ-td3004156.html

#9 - 06/17/2010 11:54 AM - Derik Barseghian

I'm able to replicate this on XP. It looks like IJ_Prefs.ixt gets written to the project dir (C:\Program Files\Kepler-2.0-RC5\) and so that can't happen as
a non admin user. | wonder if we can configure imageJ to change where this file gets written?

#10 - 06/17/2010 12:40 PM - Derik Barseghian
| downloaded and tried w/ a newer ij,jar, 1.43u, but no luck, C:\Program Files\Kepler-2.0-RC5\ is still the path used for IJ_Prefs.txt.

#11 - 06/17/2010 12:53 PM - Derik Barseghian

So to sum up: Short of patching the Imaged code, I'm not sure how to fix this. From my understanding the problem is just that ImageJ gives an error
message when you try to close it (can't save IJ_Prefs.txt because it tries to write into the Kepler directory, which user doesn't have access to) and this
is annoying. The Imaged website says ImagedJ needs to be installed in a place writable by the user. The workflow runs fine, and displays its result with
Imaged, and subsequent runs (and in subsequent sessions of kepler) of the workflow work as well. Can non-admin users live with the annoyance of
this error dialog for now? | vote to bump this bug post 2.0.

#12 - 06/17/2010 12:55 PM - David Welker

Postponing to sometime post 2.0. This does not affect the correct execution of the workflows.

#14 - 07/06/2010 05:59 PM - Christopher Brooks

Bug 5066 was a duplicate of this bug.

In Bug 5066, David wrote:

(2) Fix for Imaged so that preferences are stored in an area other than the
installation space. This may require a change to ImageJ source code.

The issue here is that the preferences are saved relative to the Imaged jar
file, and the jar file is often stored in a real-only area. Solving problem (1)

will not solve this problem. A good solution if (1) is solved by downloading
added modules in a local area would be to perhaps isolate ImagedJ to its own
module. Alternatively, the code of Imaged could be changed to handle saving
preferences differently, but this would cause maintenance issues.

#15 - 07/29/2010 01:31 PM - Sean Riddle

Fixed in r25200-1 in trunk. Now Imaged configuration is stored in the persistent configuration for the common module. This is accomplished through a
modified ij.jar file (which is committed, as well as a script to recreate it (in common/resources/scripts), and a module initializer added to core (Due to
the module hierarchy, common cannot have a module initializer).

#16 - 07/29/2010 01:40 PM - Derik Barseghian

Hey Sean, could we submit your patch to the IJ folks? If we upgrade to a new version of IJ it sounds like we might have to write a new patch?

#17 - 03/27/2013 02:28 PM - Redmine Admin
Original Bugzilla ID was 5026
